Package org.eclipse.graphiti.ui.internal.services.impl

## Class TraceService

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.services.impl.TraceService

All Implemented Interfaces:
  `ITraceService`

    public class TraceService
    extends java.lang.Object
    implements ITraceService

### Constructor Summary

Constructors
`TraceService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dumpEditPartTree​(org.eclipse.gef.EditPart editPart)`
`void` `dumpEditPartTree​(org.eclipse.gef.EditPart editPart, int indent)`
`void` `dumpFigureTree​(org.eclipse.draw2d.IFigure figure)`
`void` `dumpFigureTree​(org.eclipse.draw2d.IFigure figure, int indent)`
`void` `dumpFigureTreeWithConnectionLayer​(org.eclipse.draw2d.IFigure figure)`
`void` `dumpGATree​(GraphicsAlgorithm ga)`
`void` `dumpGATree​(GraphicsAlgorithm ga, int indent)`
`void` `dumpPictogramModelTree​(PictogramElement pe)`
`void` `dumpPictogramModelTree​(PictogramElement pe, int indent)`
`void` `dumpStyleTree​(Style style)`
`void` `dumpStyleTree​(Style style, int indent)`
`java.lang.String` `getStacktrace​(java.lang.Throwable t)` Returns the stacktrace of the given Throwable.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TraceService

    public TraceService()

### Method Detail

#### getStacktrace

    public java.lang.String getStacktrace​(java.lang.Throwable t)

Description copied from interface: `ITraceService`
Returns the stacktrace of the given Throwable.

Specified by:
  `getStacktrace` in interface `ITraceService`
Returns:
  The stacktrace of the given Throwable.

#### dumpFigureTree

    public void dumpFigureTree​(org.eclipse.draw2d.IFigure figure)

Specified by:
  `dumpFigureTree` in interface `ITraceService`

#### dumpFigureTree

    public void dumpFigureTree​(org.eclipse.draw2d.IFigure figure,
                               int indent)

Specified by:
  `dumpFigureTree` in interface `ITraceService`

#### dumpFigureTreeWithConnectionLayer

    public void dumpFigureTreeWithConnectionLayer​(org.eclipse.draw2d.IFigure figure)

Specified by:
  `dumpFigureTreeWithConnectionLayer` in interface `ITraceService`

#### dumpEditPartTree

    public void dumpEditPartTree​(org.eclipse.gef.EditPart editPart)

Specified by:
  `dumpEditPartTree` in interface `ITraceService`

#### dumpEditPartTree

    public void dumpEditPartTree​(org.eclipse.gef.EditPart editPart,
                                 int indent)

Specified by:
  `dumpEditPartTree` in interface `ITraceService`

#### dumpPictogramModelTree

    public void dumpPictogramModelTree​(PictogramElement pe)

Specified by:
  `dumpPictogramModelTree` in interface `ITraceService`

#### dumpPictogramModelTree

    public void dumpPictogramModelTree​(PictogramElement pe,
                                       int indent)

Specified by:
  `dumpPictogramModelTree` in interface `ITraceService`

#### dumpGATree

    public void dumpGATree​(GraphicsAlgorithm ga)

Specified by:
  `dumpGATree` in interface `ITraceService`

#### dumpGATree

    public void dumpGATree​(GraphicsAlgorithm ga,
                           int indent)

Specified by:
  `dumpGATree` in interface `ITraceService`

#### dumpStyleTree

    public void dumpStyleTree​(Style style)

#### dumpStyleTree

    public void dumpStyleTree​(Style style,
                              int indent)